# QTextTableFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFrameFormat.

### Constructor

- void QTextTableFormat()

### Constructor Properties

- prototype: The QTextTableFormat prototype object

### Prototype Object Properties

The QTextTableFormat prototype object inherits properties from the QTextFrameFormat prototype object and also has the following properties.

- Alignment alignment()
- qreal cellPadding()
- qreal cellSpacing()
- void clearColumnWidthConstraints()
- List columnWidthConstraints()
- int columns()
- int headerRowCount()
- void setAlignment(Alignment alignment)
- void setCellPadding(qreal padding)
- void setCellSpacing(qreal spacing)
- void setColumnWidthConstraints(List constraints)
- void setColumns(int columns)
- void setHeaderRowCount(int count)

### Instance Properties

QTextTableFormat objects have no special properties beyond those inherited from the QTextTableFormat prototype object.